Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Mise à jour partielle (Lu 328 fois) sujet précédent - sujet suivant

Mise à jour partielle

Bonjour,
J'essaie de comprendre pourquoi OS ne fait plus les mises à jour de ces paquets :
Les 43 mises à jour de paquets suivantes ne seront PAS installées :
  crafty gbrainy gbrainy-lang gstreamer-plugins-bad-lang gstreamer-plugins-ugly-lang icewm icewm-default icewm-lang
  java-1_8_0-openjfx libappindicator1 libappindicator3-1 libavcodec58 libavdevice58 libavfilter7 libavformat58 libavresample4
  libavutil56 libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0 libgstbadbase-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0
  libgstcodecparsers-1_0-0 libgstgl-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0 libgsturidownloader-1_0-0 libgstwayland-1_0-0
  libpoppler-glib8 libpoppler-qt5-1 libpostproc55 libquicktime0 libsox3 libswresample3 libswscale5 poppler-tools sox
  typelib-1_0-AppIndicator3-0_1 vlc-codec-gstreamer vlc-lang vlc-vdpau youtube-dl-bash-completion youtube-dl-zsh-completion
Ces paquets ne font ils partie que de leap15.0 ?
Je suis passé de 15.0 à 15.1. J'ai des dépôts 15.0 qui demeurent.. mais je les ai désactivés. Que je les active ou pas, ça ne change rien à la finalité de toutes manières.
Quand je fais la MAJ depuis KDE (à côté de l'heure), le système me dit que tout va bien, je suis à jour. Mais bon, j'ai tendance à plus croire le terminal quand même !!
Cdt

Re : Mise à jour partielle

Répondre #1
c'est des mis à jour, ou plutôt des version plus récente,  qui sont disponible sur d'autre dépôts installer sur systeme. par défaut avec un zypper up, la mis à jours se fait que depuis le dépôts depuis lequel il a était installer.

tu peu tout mètre à jour il me semble, avec un zypper dup, sur leap. mais je ne le recommande pas.

David

Re : Mise à jour partielle

Répondre #2
Bonjour,
Citer
J'essaie de comprendre pourquoi OS ne fait plus les mises à jour de ces paquets :
Peux-tu nous donner le retour de la commande en user normal qui nous donnera la liste des dépôts avec leurs priorités
zypper lr -p
puis par exemple pour le premier paquet de la liste, le retour en user normal de
zypper search --details crafty
et enfin de
zypper info crafty

Re : Mise à jour partielle

Répondre #3
Voila les réponses de terminal :

zypper lr -p
#  | Alias                               | Nom                                              | Activé | Vérification GPG | Rafraichir | Priorité
---+-------------------------------------+--------------------------------------------------+--------+------------------+------------+---------
 1 | NVIDIA                              | NVIDIA                                           | Non    | ----             | ----       |   99   
 2 | Snappy                              | Snappy                                           | Oui    | (r ) Oui         | Oui        |   99   
 3 | SoftMaker_Office_Repository         | SoftMaker Office Repository                      | Oui    | (r ) Oui         | Oui        |   99   
 4 | adobe                               | adobe                                            | Non    | ----             | ----       |   98   
 5 | download.opensuse.org-oss           | Dépôt principal (Sources)                        | Non    | ----             | ----       |   99   
 6 | download.opensuse.org-oss_1         | Dépôt principal (Sources)                        | Non    | ----             | ----       |   99   
 7 | home_pbek_QOwnNotes                 | QOwnNotes (openSUSE_Leap_15.1)                   | Oui    | (r ) Oui         | Oui        |   99   
 8 | http-download.opensuse.org-294c7ee7 | home:ecsos:ardour                                | Non    | ----             | ----       |   99   
 9 | http-download.opensuse.org-2d249273 | home:jloehel                                     | Oui    | (r ) Oui         | Oui        |   99   
10 | http-download.opensuse.org-75e3ecd6 | home:AndnoVember:test                            | Oui    | (r ) Oui         | Oui        |   99   
11 | http-download.opensuse.org-967084c9 | home:kesara:branches:devel:openSUSE:Factory:Apps | Non    | ----             | ----       |   99   
12 | http-download.opensuse.org-b383ee90 | home:Ximi1970:Toolchains:MinGW:latest:win32      | Oui    | (r ) Oui         | Oui        |   99   
13 | http-download.opensuse.org-d43e4f24 | home:siegel                                      | Non    | ----             | ----       |   99   
14 | http-download.opensuse.org-e8f0ed2d | Education                                        | Oui    | (r ) Oui         | Oui        |   99   
15 | http-download.opensuse.org-effe56a3 | KDE:KDE3                                         | Oui    | (r ) Oui         | Oui        |   99   
16 | http-opensuse-guide.org-c232a803    | libdvdcss repository                             | Oui    | (r ) Oui         | Oui        |   99   
17 | http-packman.inode.at-0f4fd965      | Packman Repository                               | Oui    | (r ) Oui         | Oui        |   98   
18 | https-download.nvidia.com-ad2dbc12  | nVidia Graphics Drivers                          | Non    | ----             | ----       |   99   
19 | openSUSE-Leap-15.0-1                | openSUSE-Leap-15.1                               | Non    | ----             | ----       |   99   
20 | packman.inode.at-suse               | Packman Repository                               | Oui    | (r ) Oui         | Oui        |   99   
21 | repo-debug                          | openSUSE-Leap-15.1-Debug                         | Non    | ----             | ----       |   99   
22 | repo-debug-non-oss                  | openSUSE-Leap-15.1-Debug-Non-Oss                 | Non    | ----             | ----       |   99   
23 | repo-debug-update                   | openSUSE-Leap-15.1-Update-Debug                  | Non    | ----             | ----       |   99   
24 | repo-debug-update-non-oss           | openSUSE-Leap-15.1-Update-Debug-Non-Oss          | Non    | ----             | ----       |   99   
25 | repo-non-oss                        | openSUSE-Leap-15.1-Non-Oss                       | Oui    | (r ) Oui         | Oui        |   99   
26 | repo-oss                            | openSUSE-Leap-15.1-Oss                           | Oui    | (r ) Oui         | Oui        |   99   
27 | repo-source                         | openSUSE-Leap-15.1-Source                        | Non    | ----             | ----       |   99   
28 | repo-source-non-oss                 | openSUSE-Leap-15.1-Source-Non-Oss                | Oui    | (r ) Oui         | Oui        |   99   
29 | repo-update                         | openSUSE-Leap-15.1-Update                        | Oui    | (r ) Oui         | Oui        |   99   
30 | repo-update-non-oss                 | openSUSE-Leap-15.1-Update-Non-Oss                | Oui    | (r ) Oui         | Oui        |   99   
31 | repo-update-test                    | Mises à jour non testées                         | Non    | ----             | ----       |   99   
32 | sublime-text                        | Sublime Text - x86_64 - Stable                   | Oui    | (r ) Oui         | Oui        |   99   

zypper search --details crafty
Chargement des données du dépôt...
Lecture des paquets installés...

S  | Nom                | Type          | Version        | Architecture | Dépôt            
---+--------------------+---------------+----------------+--------------+-------------------
v  | crafty             | paquet        | 23.4-lp151.1.3 | x86_64       | Packman Repository
v  | crafty             | paquet        | 23.4-lp151.1.3 | x86_64       | Packman Repository
i+ | crafty             | paquet        | 23.4-lp151.1.1 | x86_64       | Education        
   | crafty             | paquet source | 23.4-lp151.1.3 | noarch       | Packman Repository
   | crafty             | paquet source | 23.4-lp151.1.3 | noarch       | Packman Repository
   | crafty             | paquet source | 23.4-lp151.1.1 | noarch       | Education        
   | crafty-debuginfo   | paquet        | 23.4-lp151.1.3 | x86_64       | Packman Repository
   | crafty-debuginfo   | paquet        | 23.4-lp151.1.3 | x86_64       | Packman Repository
   | crafty-debuginfo   | paquet        | 23.4-lp151.1.1 | x86_64       | Education        
   | crafty-debugsource | paquet        | 23.4-lp151.1.1 | x86_64       | Education        

zypper info crafty
Chargement des données du dépôt...
Lecture des paquets installés...

Informations sur paquet crafty :
--------------------------------
Dépôt                     : Education               
Nom                       : crafty                  
Version                   : 23.4-lp151.1.1          
Architecture              : x86_64                  
Fabricant                 : openSUSE-Education      
Taille une fois installé  : 5,6 MiB                 
Installé                  : Oui                     
État                      : à jour                  
Paquet source             : crafty-23.4-lp151.1.1.src
Résumé                    : Chess Program           
Description               :                         
    A strong playing chess program. It uses opening books and endgame
    databases. The graphical interface (xcrafty) requires the xboard
    package.

Quelle merveille ce zypper :-)

Re : Mise à jour partielle

Répondre #4
Ouh là tu as de multiples dépôts  :o  ils te sont vraiment tous utiles ?
Sur mon PC c'est beaucoup plus réduit, les dépôts officiels et le dépôt packman à qui j'ai donné une priorité de 90
comme il est proposé de base dans yast, j'ai décidé de lui faire confiance
bref, pour en revenir à la compréhension de ton problème
tous les dépôts ont la même priorité et plusieurs d'entre-eux proposent le même paquet mais pas à la même version.
pour crafty par exemple, tu l'as installé depuis le dépôt Education et actuellement le dépot packman affiche une version plus récente
la mise à jour est donc signalée mais elle ne se fera pas avec un zypper up car ce n'est pas le même dépôt que la version installée.

A ta place je ferais le ménage dans les dépôts. Le dépôt KDE:KDE3 par exemple ? KDE3 ?
les home sont à utiliser avec précaution, j'en vois trois activés, sont-ils vraiment nécessaire ?
le dépôt Education te fournit quels logiciels ?
Ici par exemple pour crafty tu pourrais utiliser packman tout simplement.
Je regarderais donc dans YaST dépôt tiers par dépôt tiers tous les paquets qu'ils fournissent et je regarderais s'il y a moyen d'avoir le paquet via le dépôt packman ou les dépôts officiels dans une version supérieure ou égale.

Edit : j'ai trouvé : https://en.opensuse.org/Portal:Education
le service éducation est déprécié ! ce qui me conforte dans l'idée du ménage ;)

Re : Mise à jour partielle

Répondre #5
Pour Education, j'ai :
Anki
Bluefish
Ignuit
des lib..
des fichiers python
Si je peux retrouver les 3 premiers dans snap ou packman, pourquoi pas.. mais c'est clair qu'il faut y aller chirurgical... et c'est pas mon fort :-)

Citer
Edit : j'ai trouvé : https://en.opensuse.org/Portal:Education
le service éducation est déprécié ! ce qui me conforte dans l'idée du ménage
Étonnement, quand on passe le lien en français, ca n'est plus annoncé comme déprécié :-)

C'est bizarre ce Education plus supporté.. parce qu'il y a plein d'applications qui sont dedans.. ou alors, y a cd qui va sortir que pour les applis education ?

Re : Mise à jour partielle

Répondre #6
Anki bluefish ignuit existent dans le dépôt officiel.
Tu choisis le dépôt dans vue dans Yast et pour chaque paquet tu regardes dans l’onglet version si il est dispo dans les dépôts officiels ou packman et si ça te va tu changes de dépôt fournisseur.

Pour la version française de la page éducation , il faut la mettre à jour et indiquer déprécié ;)

Re : Mise à jour partielle

Répondre #7
bon, je viens de procéder et après plus d1 giga de téléchargement et d'installation, vlc voulait plus faire son job.
Donc j'ai reinstaller les lib qui lui manquaient et c'est revenu.
Je suis pas convaincu que ce soit mieux, mais bon, le système fonctionne toujours donc je vais m'en contenter pour le moment :-)
Merci pour les infos.
Cdt

Re : Mise à jour partielle

Répondre #8
Pour ce qui est de VLC et du multimedia, utilise les paquets de packman c'est le mieux pour ne pas avoir de souci
mets une priorité à 90 au dépôt packman
et passe les fichiers système commun sur la version de packman avec Yast

Re : Mise à jour partielle

Répondre #9
Juste un zypper dup et ça fera l'affaire.

Re : Mise à jour partielle

Répondre #10
s’il a vraiment bien nettoyé la liste de dépôts sinon suivant leurs contenus le résultat de zypper dup pourra faire passer un paquet sur un dépôt comme les home qui étaient présents.

Re : Mise à jour partielle

Répondre #11
Je suppose qu'il a les dépôts qu'il veut en connaissance de cause, donc desactive ceux qui doivent pas l'etre, vire les home (ça je ne cesserais jamais de le dire, home = ppa d'ubuntu, donc a activer que si on connait la personne) et enfin roule ma poule avec zypper dup et autoriser les changements de fournisseurs avant bien sur.